cordova.define("com.zhaoying.GaoDeLocation.GaoDe", function(require, exports, module) {
var exec = require('cordova/exec');

/**
 * 
 * 三个JS方法名和W3C标准的定位API保持一致，便于统一使用方法
 * 但每个JS方法的最后一个参数目前暂时未予以支持（20191023）
 * 如果需要支持，则需要改插件的java源码，有兴趣的童鞋可以自行完善
 * 
 * @author Dicl
 */

module.exports = {
    getCurrentPosition:function (successFn,errorFn, options) {
        exec(successFn,errorFn,'GaoDeLocation','getCurrentPosition',[options]);
    },
    watchPosition: function (successFn, options) {
        exec(successFn, null, 'GaoDeLocation', 'watchPosition', [options]);
    },
    clearWatch: function (watchId) {
        exec(null, null, 'GaoDeLocation', 'clearWatch', [watchId]);
    },
    // 开启后台定位服务，这个和watchPosition只会有一个启用，需要App依旧自己的场景去动态切换
    startService: function(success, interval) {
        exec(success, null, 'GaoDeLocation', 'startService', [interval]);
    },
    stopService: function() {
        exec(null, null, 'GaoDeLocation', 'stopService', []);
    },
    acquireScreenOn:function(){
        exec(null, null, 'GaoDeLocation', 'acquireScreenOn', []);
    },
    releaseScreenOn:function(){
        exec(null, null, 'GaoDeLocation', 'releaseScreenOn', []);
    }
};    
    
});
